IDRegistry.genBlockID("brown_sugar_pot");
Block.createBlock("brown_sugar_pot", [{name: "Pot", texture: [["brown_sugar_pot_side", 0], ["brown_sugar_pot_top", 0], ["brown_sugar_pot_side", 0], ["brown_sugar_pot_side", 0], ["brown_sugar_pot_side", 0], ["brown_sugar_pot_side", 0]], inCreative: true}]);
var render = new ICRender.CollisionShape();
var entry = render.addEntry();
entry.addBox(0, 0, 0, 1, 0.1, 1);
entry.addBox(0, 0.1, 0, 1, 0.3, 0.1);
entry.addBox(0, 0.1, 0.9, 1, 0.3, 1);
entry.addBox(0, 0.1, 0, 0.1, 0.3, 1);
entry.addBox(0.9, 0.1, 0, 1, 0.3, 1);
BlockRenderer.setCustomCollisionShape(BlockID.brown_sugar_pot, 0, render);
render = new ICRender.Model();
var model = BlockRenderer.Model();
model.addBox(0, 0, 0, 1, 0.1, 1, [["brown_sugar_pot_side", 0], ["brown_sugar_pot_top", 0], ["brown_sugar_pot_side", 0], ["brown_sugar_pot_side", 0], ["brown_sugar_pot_side", 0], ["brown_sugar_pot_side", 0]]);
model.addBox(0, 0.1, 0, 1, 0.3, 0.1, [["brown_sugar_pot_side", 0]]);
model.addBox(0, 0.1, 0.9, 1, 0.3, 1, [["brown_sugar_pot_side", 0]]);
model.addBox(0, 0.1, 0, 0.1, 0.3, 1, [["brown_sugar_pot_side", 0]]);
model.addBox(0.9, 0.1, 0, 1, 0.3, 1, [["brown_sugar_pot_side", 0]]);
render.addEntry(model);
BlockRenderer.enableCoordMapping(BlockID.brown_sugar_pot, 0, render);
IDRegistry.genBlockID("purple_sugar_pot");
Block.createBlock("purple_sugar_pot", [{name: "Pot", texture: [["purple_sugar_pot_side", 0], ["purple_sugar_pot_top", 0], ["purple_sugar_pot_side", 0], ["purple_sugar_pot_side", 0], ["purple_sugar_pot_side", 0], ["purple_sugar_pot_side", 0]], inCreative: true}]);
var render = new ICRender.CollisionShape();
var entry = render.addEntry();
entry.addBox(0, 0, 0, 1, 0.1, 1);
entry.addBox(0, 0.1, 0, 1, 0.3, 0.1);
entry.addBox(0, 0.1, 0.9, 1, 0.3, 1);
entry.addBox(0, 0.1, 0, 0.1, 0.3, 1);
entry.addBox(0.9, 0.1, 0, 1, 0.3, 1);
BlockRenderer.setCustomCollisionShape(BlockID.purple_sugar_pot, 0, render);
render = new ICRender.Model();
var model = BlockRenderer.Model();
model.addBox(0, 0, 0, 1, 0.1, 1, [["purple_sugar_pot_side", 0], ["purple_sugar_pot_top", 0], ["purple_sugar_pot_side", 0], ["purple_sugar_pot_side", 0], ["purple_sugar_pot_side", 0], ["purple_sugar_pot_side", 0]]);
model.addBox(0, 0.1, 0, 1, 0.3, 0.1, [["purple_sugar_pot_side", 0]]);
model.addBox(0, 0.1, 0.9, 1, 0.3, 1, [["purple_sugar_pot_side", 0]]);
model.addBox(0, 0.1, 0, 0.1, 0.3, 1, [["purple_sugar_pot_side", 0]]);
model.addBox(0.9, 0.1, 0, 1, 0.3, 1, [["purple_sugar_pot_side", 0]]);
render.addEntry(model);
BlockRenderer.enableCoordMapping(BlockID.purple_sugar_pot, 0, render);
var Brown_sugar_pot_Gui = new UI.StandartWindow({
    standart: {
        header: {text: {text: Translation.translate("Pot(base)")}},
        inventory: {standart: true},
        background: {standart: true}
    },
    elements: {
        "desert": {type: "slot", x: 400, y: 100, size: 60, isValid: function(id, count, data) {if (id == 338) {return true} else {return false}}},
        "textInfo1": {type: "text", x: 700, y: 152, width: 300, height: 30, text: "0％"},
        "water": {type: "slot", x: 400, y: 240, isValid: function(id, count, data) {if (id == 325 && data == 8) {return true} else {return false}}, size: 60},
    }
});
Callback.addCallback("LevelLoaded", function(){
	SugarCore.updateHeader(Brown_sugar_pot_Gui, "低级甘蔗培养皿");
});
var Purple_sugar_pot_Gui = new UI.StandartWindow({
    standart: {
        header: {text: {text: Translation.translate("Pot(advance)")}},
        inventory: {standart: true},
        background: {standart: true}
    },
    elements: {
        "desert": {type: "slot", x: 400, y: 100, size: 60, isValid: function(id, count, data) {if (id == 338) {return true} else {return false}}},
        "textInfo1": {type: "text", x: 700, y: 152, width: 300, height: 30, text: "0％"},
        "water": {type: "slot", x: 400, y: 240, isValid: function(id, count, data) {if (id == 325 && data == 8) {return true} else {return false}}, size: 60},
    }
});
Callback.addCallback("LevelLoaded", function(){
	SugarCore.updateHeader(Purple_sugar_pot_Gui, "高级甘蔗培养皿");
});
TileEntity.registerPrototype(BlockID.brown_sugar_pot, {
    defaultValues: {
        make: 0,
    },
    tick: function() {
        UpgradeAPI.executeUpgrades(this);
        var desert = this.container.getSlot("desert");
        var water = this.container.getSlot("water");
        if (desert.id > 0 && desert.count + 1 <= 64 && water.id > 0) {
            this.data.make +=1;
        };
        if (this.data.make == 100) {
            desert.count +=1;
            this.data.make = 0;
        };
        if (desert.count == 64 || desert.count == 0) {
            this.data.make = 0;
        };
        this.container.setText("textInfo1", this.data.make + "％");
    },
    getGuiScreen: function() {
        return Brown_sugar_pot_Gui;
    }
});
TileEntity.registerPrototype(BlockID.purple_sugar_pot, {
    defaultValues: {
        make: 0,
    },
    tick: function() {
        UpgradeAPI.executeUpgrades(this);
        var desert = this.container.getSlot("desert");
        var water = this.container.getSlot("water");
        if (desert.id > 0 && desert.count + 1 <= 64 && water.id > 0) {
            this.data.make +=2;
        };
        if (this.data.make == 100) {
            desert.count +=1;
            this.data.make = 0;
        };
        if (desert.count == 64 || desert.count == 0) {
            this.data.make = 0;
        };
        this.container.setText("textInfo1", this.data.make + "％");
    },
    getGuiScreen: function() {
        return Purple_sugar_pot_Gui;
    }
});
StorageInterface.createInterface(BlockID.purple_sugar_pot, {
	slots: {
		"desert": {input: true,
	         isValidInput: function(item){
		         if (item.id == 338) {return true} else {return false};
	         }
	     },
	    "water": {input: true,
	         isValidInput: function(item){
		         if (itme.id == 325 && item.data == 8) {return true} else {return false};
	         }
	     }
	 }
});
StorageInterface.createInterface(BlockID.brown_sugar_pot, {
	slots: {
		"desert": {input: true,
	         isValidInput: function(item){
		         if (item.id == 338) {return true} else {return false};
	         }
	     },
	    "water": {input: true,
	         isValidInput: function(item){
		         if (itme.id == 325 && item.data == 8) {return true} else {return false};
	         }
	     }
	 }
});